Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: CMake Error 0.4.16  (Read 2650 times)

0 Members and 1 Guest are viewing this topic.

Offline bitcoinerS

  • Hero Member
  • *****
  • Posts: 584
    • View Profile
CMake Error 0.4.16
« on: September 21, 2014, 05:58:40 AM »

Gettting an error trying to build web_wallet on Ubuntu 14.10

$ cmake -DINCLUDE_QT_WALLET=ON .
...
Code: [Select]
CMake Error at programs/qt_wallet/CMakeLists.txt:51 (find_package):
  By not providing "FindQt5LinguistTools.cmake" in CMAKE_MODULE_PATH this
  project has asked CMake to find a package configuration file provided by
  "Qt5LinguistTools", but CMake did not find one.

  Could not find a package configuration file provided by "Qt5LinguistTools"
  with any of the following names:

    Qt5LinguistToolsConfig.cmake
    qt5linguisttools-config.cmake

  Add the installation prefix of "Qt5LinguistTools" to CMAKE_PREFIX_PATH or
  set "Qt5LinguistTools_DIR" to a directory containing one of the above
  files.  If "Qt5LinguistTools" provides a separate development package or
  SDK, be sure it has been installed.
>>> approve bitcoiners

Offline bitcoinerS

  • Hero Member
  • *****
  • Posts: 584
    • View Profile
Re: CMake Error 0.4.16
« Reply #1 on: September 21, 2014, 06:05:35 AM »
Found solution.

Installing package qttools5-dev solved the problem.
>>> approve bitcoiners

Offline FuLl

  • Full Member
  • ***
  • Posts: 96
    • View Profile
Re: CMake Error 0.4.16
« Reply #2 on: October 25, 2014, 11:22:14 PM »
Found solution.

Installing package qttools5-dev solved the problem.

Thank you, I got this error on Linux Mint 17 trying to build bitsharesx 4.22 & your post let me progress past the error.

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12267
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: CMake Error 0.4.16
« Reply #3 on: October 26, 2014, 12:59:41 PM »
Thanks for pointing it out ... I just added it to the wiki:
http://wiki.bitshares.org/index.php?title=BuildInstructionsBitSharesX&diff=3042&oldid=3041
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

 

Google+